#include <Arduino.h>

#define PWMRANGE 255

class LED{
	unsigned int _pin;
	bool _on;

public:
	LED(unsigned int pin){
		_pin = pin;
		pinMode(pin, OUTPUT);
	}

	void on(){
		_on = true;
	}

	void off(){
		_on = false;
	}

	void loop(){
		analogWrite(_pin, PWMRANGE * _on);
	}
};